class TwitterAPIs {
  // ==== POST =====
  static const String URL_MEDIA_UPLOAD = "https://upload.twitter.com/1.1/media/upload.json";
  static const String URL_UPLOAD_USER_ICON =
      "https://api.twitter.com/1.1/account/update_profile_image.json";
  static const String URL_UPDATE = "https://api.twitter.com/1.1/statuses/update.json";
  static const String URL_FAVORITE = "https://api.twitter.com/1.1/favorites/create.json";
  static const String URL_UNFAVORITE = "https://api.twitter.com/1.1/favorites/destroy.json";
  static const String URL_RETWEET = "https://api.twitter.com/1.1/statuses/retweet/%@.json";
  static const String URL_UNRETWEET = "https://api.twitter.com/1.1/statuses/unretweet/%@.json";
  // OAUTH
  static const String URL_OAUTH_REQUEST_TOKEN = "https://api.twitter.com/oauth/request_token";
  static const String URL_OAUTH_AUTHENTICATION =
      "https://api.twitter.com/oauth/authenticate?oauth_token=";
  static const String URL_OAUTH_ACCESS_TOKEN = "https://api.twitter.com/oauth/access_token";

  // ==== GET ====
  static const String URL_VERIFY_CREDENTIALS =
      "https://api.twitter.com/1.1/statuses/verify_credentials.json";
  static const String URL_HOME_TIMELINE = "https://api.twitter.com/1.1/statuses/home_timeline.json";
  static const String URL_USER_TIMELINE = "https://api.twitter.com/1.1/statuses/user_timeline.json";
  static const String URL_MENTIONS_TIMELINE =
      "https://api.twitter.com/1.1/statuses/mentions_timeline.json";
  static const String URL_FAVORITES_LIST = "https://api.twitter.com/1.1/favorites/list.json";
  static const String URL_RETWEET_OF_ME =
      "https://api.twitter.com/1.1/statuses/retweets_of_me.json";

  static const String URL_SHOW_USER = "https://api.twitter.com/1.1/users/show.json";
  static const String URL_SHOW_ONE_TWEET = "https://api.twitter.com/1.1/statuses/show/%@.json";
  static const String URL_LOOKUP = "https://api.twitter.com/1.1/statuses/lookup.json";
  static const String URL_TOS = "https://api.twitter.com/1.1/help/tos.json";

  static const String URL_LISTS_LIST = "https://api.twitter.com/1.1/lists/list.json";
  static const String URL_LIST_TIMELINE = "https://api.twitter.com/1.1/lists/statuses.json";

  static const String URL_FOLLOWERS_LIST = "https://api.twitter.com/1.1/followers/list.json";
  static const String URL_FRIENDS_LIST = "https://api.twitter.com/1.1/friends/list.json";

  static const String URL_SEARCH_TWEETS = "https://api.twitter.com/1.1/search/tweets.json";

  static const String TWITTER_VIDEO_UPLOAD_COMMAND_INIT = "INIT";
  static const String TWITTER_VIDEO_UPLOAD_COMMAND_APPEND = "APPEND";
  static const String TWITTER_VIDEO_UPLOAD_COMMAND_FINALIZE = "FINALIZE";
  static const String TWITTER_VIDEO_UPLOAD_COMMAND_STATUS = "STATUS";

  static const String MEDIA_TYPE_MP4 = "video/mp4";

  static const String TWITTER_IMAGE_SIZE_THUMB_POSTFIX = ":thumb";
  static const String TWITTER_IMAGE_SIZE_SMALL_POSTFIX = ":small";
  static const String TWITTER_IMAGE_SIZE_MEDIUM_POSTFIX = ":medium";
  static const String TWITTER_IMAGE_SIZE_LARGE_POSTFIX = ":large";
  static const String TWITTER_IMAGE_SIZE_ORIG_POSTFIX = ":orig";
}
